BizKitHub
DocsAPI ReferenceAdmin/bff/admin/user-request-password-reset
postAdminAdmin BFF

/bff/admin/user-request-password-reset

Creates a shop__contact_reset_password_request for the user and sends the standard customer-reset-password e-mail. Bypasses the user-side rate limit. Requires internal admin membership.

AdminpostBffAdminUser-request-password-reset

Parameters

JSON body

Request body

application/json
userIdstringRequired

16-char external id of the user.

Response schema

1 status code documented

200Success
successbooleanRequired
emailstringRequired

Response example

application/json
{
  "success": false,
  "email": "example_email"
}

Request example

POST /bff/admin/user-request-password-reset

post
curl -X POST "https://api.bizkithub.com/bff/admin/user-request-password-reset" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "userId": "example_userId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key